Get Entity Transfer Status (Banking Connectivity)
curl --request GET \
--url https://api-sandbox.y.uno/v1/banking/accounts/{account_id}/transfers/{transfer_id} \
--header 'private-secret-key: <api-key>' \
--header 'public-api-key: <api-key>'import requests
url = "https://api-sandbox.y.uno/v1/banking/accounts/{account_id}/transfers/{transfer_id}"
headers = {
"public-api-key": "<api-key>",
"private-secret-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'public-api-key': '<api-key>', 'private-secret-key': '<api-key>'}
};
fetch('https://api-sandbox.y.uno/v1/banking/accounts/{account_id}/transfers/{transfer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "xfer_bb0e8400-e29b-41d4-a716-446655440000",
"source_account_id": "acct_aa0e8400-e29b-41d4-a716-446655440000",
"destination_account_id": null,
"account_id": "550e8400-e29b-41d4-a716-446655440000",
"merchant_transfer_id": "merchant_txn_12345",
"provider": {
"account_id": "col_bank_account_789",
"transfer_id": "col_transfer_xyz123"
},
"status": "PENDING",
"direction": "OUTGOING",
"destination_account": {
"account_number_last_4": "3210",
"routing_number": "987654321",
"iban": null,
"bsb": null,
"swift": null,
"sort_code": null,
"account_name": "Jane Smith",
"bank_name": "Chase Bank"
},
"amount": {
"value": 1000,
"currency": "USD"
},
"payment_rail": "ACH_STANDARD",
"description": "Payment to vendor",
"created_at": "2026-02-01T10:15:00Z",
"updated_at": "2026-02-01T10:15:00Z"
}Entity Transfers (Banking Connectivity)
Get Entity Transfer Status (Banking Connectivity)
GET
/
banking
/
accounts
/
{account_id}
/
transfers
/
{transfer_id}
Get Entity Transfer Status (Banking Connectivity)
Retrieve the current status and details of a transfer. See Transfer statuses for the full status lifecycle.
Path Parameters
The unique identifier of the account. Found on the Yuno dashboard (UUID, 36 chars).
The id of the transfer obtained from Initiate Entity Transfer (UUID, 36 chars).
Response
Was this page helpful?
⌘I